Package io.vertx.rxjava3.json.schema

## Class JsonFormatValidator

- java.lang.Object
- - io.vertx.rxjava3.json.schema.JsonFormatValidator

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class JsonFormatValidator
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<JsonFormatValidator>` | `__TYPE_ARG` |
    `static JsonFormatValidator` | `DEFAULT_VALIDATOR` | The default validator which performs a NOOP.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonFormatValidator​(JsonFormatValidator delegate)` |
    `JsonFormatValidator​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `JsonFormatValidator` | `getDelegate()` |
    `int` | `hashCode()` |
    `static JsonFormatValidator` | `newInstance​(JsonFormatValidator arg)` |
    `String` | `toString()` |
    `String` | `validateFormat​(String instanceType, String format, Object instance)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JsonFormatValidator> __TYPE_ARG

    - #### DEFAULT_VALIDATOR

          public static final JsonFormatValidator DEFAULT_VALIDATOR

      The default validator which performs a NOOP.

  - ### Constructor Detail

    - #### JsonFormatValidator

          public JsonFormatValidator​(JsonFormatValidator delegate)

    - #### JsonFormatValidator

          public JsonFormatValidator​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JsonFormatValidator getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### validateFormat

          public String validateFormat​(String instanceType,
                                       String format,
                                       Object instance)

      Parameters:
        `instanceType` - The type of the related instance
        `format` - The format specified in the schema for the current object instance.
        `instance` - The current object instance that is currently being validated.
      Returns:
        Any string if there are any format validation errors, null if there are no validation errors.

    - #### newInstance

          public static JsonFormatValidator newInstance​(JsonFormatValidator arg)